%define         api             1.3
%define         major           0
%define         libname         %mklibname mypaint %{api} %{major}
%define         libname_gegl    %mklibname mypaint-gegl %{major}
%define         libdevelname    %mklibname -d mypaint

%define         gmajor          1.3
%define         girname         %mklibname mypaint-gir %{gmajor}
%define         girname_gegl    %mklibname mypaintgegl-gir %{gmajor}

Name:           libmypaint
Version:        1.3.0
Release:        %mkrel 3
Summary:        System libraries based on Mypaint
Group:          System/Libraries
License:        GPLv2+
URL:            http://mypaint.org
Source0:        https://github.com/mypaint/libmypaint/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gettext
BuildRequires:  perl-XML-Parser
BuildRequires:  intltool
BuildRequires:  libgomp-devel
BuildRequires:  gegl-devel
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
%{summary}.


%package -n %{name}-i18n
Summary:        Internationalization and locale data for libmypaint
Group:          System/Libraries
BuildArch:      noarch
Conflicts:      mypaint <= 1.2.1

%description -n %{name}-i18n
%{summary}.


%package -n %{libname}
Summary:        System libraries based on Mypaint
Group:          System/Libraries
Obsoletes:      %{_lib}mypaint0 < 1.3.0-3

%description -n %{libname}
This is an independent release of libmypaint, the library associated
with Mypaint, as a separate module.

%package -n %{libname_gegl}
Summary:        System libraries based on Mypaint
Group:          System/Libraries
Conflicts:      %{_lib}mypaint0 < 1.3.0-2

%description -n %{libname_gegl}
This is an independent release of libmypaint, the library associated
with Mypaint, as a separate module.

%package -n %{girname}
Summary:        GObject Introspection interface description for MyPaint
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{_lib}mypaint-devel < 1.3.0-2

%description -n %{girname}
GObject Introspection interface description for MyPaint.

%package -n %{girname_gegl}
Summary:        GObject Introspection interface description for MyPaintGegl
Group:          System/Libraries
Requires:       %{libname_gegl} = %{version}-%{release}
Conflicts:      %{_lib}mypaint-devel < 1.3.0-2

%description -n %{girname_gegl}
GObject Introspection interface description for MyPaintGegl.

%package -n %{libdevelname}
Summary:        Development files for libmypaint
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_gegl} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Requires:       %{girname_gegl} = %{version}-%{release}

%description -n %{libdevelname}
%{summary}.




%prep
%setup -q


%build
%configure2_5x --enable-gegl --enable-openmp
%make_build


%install
%make_install

%find_lang %{name} --all-name
find %{buildroot}%{_libdir} -name '*.la' -delete

%files -n %{name}-i18n -f %{name}.lang


%files -n %{libname}
%doc README.md
%{_libdir}/libmypaint-%{api}.so.%{major}{,.*}

%files -n %{libname_gegl}
%doc README.md
%{_libdir}/libmypaint-gegl.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/MyPaint-%{gmajor}.typelib

%files -n %{girname_gegl}
%{_libdir}/girepository-1.0/MyPaintGegl-%{gmajor}.typelib

%files -n %{libdevelname}
%{_includedir}/libmypaint-gegl/
%{_includedir}/libmypaint/
%{_libdir}/libmypaint.so
%{_libdir}/libmypaint-gegl.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/MyPaint-%{gmajor}.gir
%{_datadir}/gir-1.0/MyPaintGegl-%{gmajor}.gir


%changelog
* Sun Mar 12 2017 wally <wally> 1.3.0-3.mga6
+ Revision: 1092125
- obsolete old lib after split out

* Sun Mar 12 2017 wally <wally> 1.3.0-2.mga6
+ Revision: 1092107
- split out libs with different api
- split out gi typelibs

* Sat Mar 11 2017 eatdirt <eatdirt> 1.3.0-1.mga6
+ Revision: 1092074
- imported package libmypaint


* Sat Mar 11 2017 Chris Ringeval <eatdirt@mageia.org> 1.3.0-1.mga6
- Importing libmypaint to anticipate dependencies of gimp-2.10

